# Componere\Abstract\Definition::addMethod

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addMethod — Add Method

### Beschreibung

public Componere\Abstract\Definition::addMethod(string `$name`, Componere\Method `$method`): Definition

Shall create or override a method on the current definition.

### Parameter-Liste

`name`
  The case insensitive name for method
`method`
  Componere\Method not previously added to another Definition

### Rückgabewerte

The current Definition

### Exceptions

Warnung

Shall throw RuntimeException if Definition was registered

Warnung

Shall throw RuntimeException if Method was added to another Definition

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open